Subject: Re: Perl/Tk with patches no long compiles with CygWin v1.3.1
From: "Victor M. Esquivel" <[email-masked]>
To: Neil Lunn <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>, "Victor M. Esquivel" <[email-masked]>
Date: Fri, 27 Apr 2001 12:33:38 -0700

Hey Neil,

Good news, your suggested change to the Perl Config.pm file to include the
new /usr/lib/w32api directory fixed the compile problem.  That is,
compiling Perl/Tk with gcc 2.95.3-4, binutils 20010425-1, and your patch
does not work until the Perl Config.pm includes the /usr/lib/w32api
directory.

To confirm this, I did a brand new CygWin v1.3.1 (latest files as of
4/27/01) and repeated the process.  Again, only after making the Config.pm
change, Perl/Tk compiled and ran with no problems.

Thank you for your time and help,

-victor

Neil Lunn wrote:
> 
> This is a known problem as the updated w32api has been moved out of /usr/lib
> and /usr/include and placed   into respective w32api subdirectories.
> 
> Chris has reposted updated releases of gcc and binutils to compensate.
> However there still appears to be some instances where this path doesn't get
> searched. So again as dual compensation I would suggest making an alteration
> to Config.pm in your perl installation and change the line:
> 
> libpth='/usr/local/lib /usr/lib /lib'
> libpth='/usr/local/lib /usr/lib/w32api /usr/lib /lib'
> 
> In the current perl distribution for cygwin, Config.pm is located at
> /usr/lib/perl5/5.6.1/cygwin.
> 
> This should ensure that all perl generated makefiles are searching this
> directory by default. There is and should be no reason to submit any
> additional changes to the existing patch for the  Tk800.022 distribution.
> 
> Your gcc and binutils should be the following versions, which may or may not
> be available on all mirrors  yet.
> 
> gcc 2.95.3-4
> binutils 20010425-1
> 
> See the Reference in the archives
> http://sources.redhat.com/ml/cygwin/2001-04/msg01600.html
> 
> Neil
<SNIP>

-- 
/---------------------------\ /----------------------------------\
|     Victor M. Esquivel     | NetworkCare Professional Services |
| Network Systems Consultant |   2377 Gold Meadow Way, Suit 230  |
|    [email-masked]    |        Gold River, CA 95670       |
|    (916) 859-5200 x338     |         FAX (916) 859-5201        |
\---------------------------/ \----------------------------------/
 \           Disclaimer: Standard disclaimer applies.           /
  \------------------------------------------------------------/

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple